# Check if a business is open

Check if a business is open either right now or at the specified timestamp. When the business is open, `closesAt` holds the end of the current open interval and `opensAt` is null. When it is closed, `opensAt` holds the start of the next open interval — if there is one within the next year — and `closesAt` is null.

Endpoint: GET /v1/business-hours/schedules/{scheduleId}/status
Version: v1
Security: ApiKeyAuth

## Path parameters:

  - `scheduleId` (string, required)

## Query parameters:

  - `timestamp` (string)
    An optional timestamp in ISO-8601 format: yyyy-MM-dd'T'HH:mm:ss'Z' to check if the business is open at a specific time. If not specified, the current time is used.

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.isOpen` (boolean, required)
    Whether the business is open at the evaluated timestamp

  - `data.timestamp` (string, required)
    The timestamp the status was evaluated at

  - `data.opensAt` (string)
    When the business next opens. Only present while the business is closed and there is an upcoming open interval within the next year; null while the business is open

  - `data.closesAt` (string)
    When the current open interval ends. Only present while the business is open; null while it is closed

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)

